Package org.springframework.security.config.annotation.web.configurers.oauth2.client

# Class OAuth2LoginConfigurer.TokenEndpointConfig

java.lang.Object
org.springframework.security.config.annotation.web.configurers.oauth2.client.OAuth2LoginConfigurer.TokenEndpointConfig

Enclosing class:
  OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>

public final class OAuth2LoginConfigurer.TokenEndpointConfig extends Object
Configuration options for the Authorization Server's Token Endpoint.

## Method Summary

Modifier and Type
Method
Description
`OAuth2LoginConfigurer<B>.TokenEndpointConfig`
`accessTokenResponseClient(org.springframework.security.oauth2.client.endpoint.OAuth2AccessTokenResponseClient<org.springframework.security.oauth2.client.endpoint.OAuth2AuthorizationCodeGrantRequest> accessTokenResponseClient)`
Sets the client used for requesting the access token credential from the Token Endpoint.
`OAuth2LoginConfigurer<B>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### accessTokenResponseClient

public OAuth2LoginConfigurer<B>.TokenEndpointConfig accessTokenResponseClient(org.springframework.security.oauth2.client.endpoint.OAuth2AccessTokenResponseClient<org.springframework.security.oauth2.client.endpoint.OAuth2AuthorizationCodeGrantRequest> accessTokenResponseClient)
Sets the client used for requesting the access token credential from the Token Endpoint.

Parameters:
  `accessTokenResponseClient` - the client used for requesting the access token credential from the Token Endpoint
Returns:
  the `OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>.TokenEndpointConfig` for further configuration

### and

@Deprecated(since="6.1", forRemoval=true) public OAuth2LoginConfigurer<B> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `OAuth2LoginConfigurer.tokenEndpoint(Customizer)` or `tokenEndpoint(Customizer.withDefaults())` to stick with defaults. See the documentation for more details.
Returns the `OAuth2LoginConfigurer` for further configuration.

Returns:
  the `OAuth2LoginConfigurer`